// Teleptkszlet az Enigmail hu-HU nyelvi csomagjhoz

var err;
const APP_VERSION="0.94.0";

err = initInstall("Enigmail hu-HU Language pack",  // name for install UI
                  "/enigmail-hu-HU",   // registered name
                  APP_VERSION+".0");         // package version

logComment("initInstall: " + err);

var srDest = 56;       // Teleptshez szksges lemezterlet (KB)

var fProgram    = getFolder("Program");
logComment("fProgram: " + fProgram);

if (!verifyDiskSpace(fProgram, srDest)) {
  cancelInstall(INSUFFICIENT_DISK_SPACE);

} else {

  var fChrome     = getFolder("Chrome");

  // addDirectory: blank, archive_dir, install_dir, install_subdir
  addDirectory("", "chrome",        fChrome,     "");

  err = getLastError();
  if (err == ACCESS_DENIED) {
    alert("Nem tudom rni a chrome knyvtrat "+fChrome+".\n jra kell indtania a bngszt adminisztrtor/root jogosultsgokkal a teleptshez. Miutn befejezte a teleptst adminisztrtorknt (rootknt), ismt jra kell indtania a programot a teleptsi belltsok vglegestshez.\n A msodik jraindtst kveten, trjen vissza a bngsz jogosultsgok nlkli futtatsra!");

    cancelInstall(ACCESS_DENIED);

  } else if (err != SUCCESS) {
    cancelInstall(err);

  } else {
    // chrome regisztrlsa

    registerChrome( LOCALE | DELAYED_CHROME, getFolder("Chrome","enigmail-hu-HU.jar"), "locale/hu-HU/enigmail/");

    err = getLastError();

    if (err != SUCCESS) {
      cancelInstall(err);

    } else {
      performInstall();
    }
  }
}

// Ez a funkci ellenrzi a szabad lemezterletet kilobyte-okban
function verifyDiskSpace(dirPath, spaceRequired) {
  var spaceAvailable;

  // Le kell krni az elrhet lemezterletet a megadott tvonalon
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // A szabad lemezkapacts konvertlsa kilobyte-ra
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // Ellenrzs
  if(spaceAvailable < spaceRequired) {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return false;
  }

  return true;
}
